/**
*
*
* @FileName: main.js 
* @Author: Mike Hostetler - mike@tm-web.com
* @Version: 0.1
* @Revision History:
* 
*/

//Configuration Details
const SERVER_URL = "http://netinfo.bg/xul/server.php";
//End Configuration

function getNews()
{
  req = new phpRequest();
  req.add('nbews','1');
  var response = req.execute();
  return response;		
}


function doLogin() {
	var username = document.getElementById('loginUser').value;
	var password = document.getElementById('loginPass').value;

	req = new phpRequest();
	req.add('username',username);
	req.add('password',password);

	var response = req.execute();
	alert(response);
}

//Start phpRequest Object
function phpRequest() {
	this.parms = new Array();
	this.parmsIndex = 0;
	this.execute = phpRequestExecute;
	this.add = phpRequestAdd;
	this.server = SERVER_URL;
}

function phpRequestAdd(name,value) {
	this.parms[this.parmsIndex] = new Pair(name,value);
	this.parmsIndex++;
}

function phpRequestExecute() {
	var targetURL = this.server;
	
	try {
		var httpRequest = new XMLHttpRequest();
	}catch (e){
		alert('Error creating the connection!');
		return;
	}
	
	try {
		var txt = "?1";
		for(var i in this.parms) {
			txt = txt+'&'+this.parms[i].name+'='+this.parms[i].value;
		}
		//Two options here, only uncomment one of these
		//GET REQUEST
		httpRequest.open("GET", targetURL+txt, false, null, null);	

		//POST REQUEST EXAMPLE
		/*
		httpRequest.open("POST", targetURL+txt, false, null, null);	
		httpRequest.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		*/
		httpRequest.send('');
	}catch (e){
		alert('An error has occured calling the external site: '+e);
		return false;
	} 

	switch(httpRequest.readyState) {
		case 1,2,3:
			alert('Bad Ready State: '+httpRequest.status);
			return false;
		break;
		case 4:
			if(httpRequest.status !=200) {
				alert('The server respond with a bad status code: '+httpRequest.status);
				return false;
			} else {
				var response = httpRequest.responseText;
			}
		break;
	}
	
	return response;
}

function Pair(name,value) {
	this.name = name;
	this.value = value;
}



function GBLTut_Search(event, type)
{
	// Create a few variables
	var URL = "";
	var isEmpty = false;

	// Get a handle to our search terms box
	var searchTermsBox = document.getElementById("GBLTut-SearchTerms");
    
	// Get the value in the search terms box, trimming whitespace as necessary
	var searchTerms = GBLTut_TrimString(searchTermsBox.value);

	// If there are no search terms, than we set isEmpty to true
	// Otherwise, we convert the search terms to a safe URI version
	if(searchTerms.length == 0) { isEmpty = true; }
	else { searchTerms = GBLTut_ConvertTermsToURI(searchTerms); }

	// Do something different for differing search types
	switch(type)
	{
	// Build up the URL for an image search
	case "image":
		if(isEmpty) { URL = "http://search.gbg.bg/google/"; }
		else		{ URL = "http://gbg.bg/tb/?start=0&q=" + searchTerms; }
		break;

        case "nisearch":
		if(isEmpty) { URL = "http://search.netinfo.bg/"; }
		else        { URL = "http://gbg.bg/tb/?aShowCount=10&aPressID=2&aStr=" + searchTerms; }
		break;

	// Build up the URL for a web search
	case "web":
	default:
		if(isEmpty) { URL = "http://search.gbg.bg/google/"; }
		else        { URL = "http://gbg.bg/tb/?start=0&lr=lang_bg&q=" + searchTerms; }
		break;
		
		
	
	}
	
	// Load the URL in the browser window using the GBLTut_LoadURL function
	GBLTut_LoadURL(URL);
}

function GBLTut_TrimString(string)
{
	// Return empty if nothing was passed in
	if (!string) return "";
	
	// Efficiently replace any leading or trailing whitespace
	var value = string.replace(/^\s+/, '');
	value = string.replace(/\s+$/, '');
	
	// Replace any multiple whitespace characters with a single space
	value = value.replace(/\s+/g, ' ');
	
	// Return the altered string
	return value;
}

function GBLTut_ConvertTermsToURI(terms)
{
	// Split up the search terms based on the space character
	var termArray = new Array();
	termArray = terms.split(" ");
	var result = "";

	// Loop through the search terms, building up the result string
	for(var i=0; i<termArray.length; i++)
	{
		if(i > 0) { result += "+"; }
		
		// Call the built-in function encodeURIComponent() to clean up
		// this search term (making it safe for use in a URL)
		result += encodeURIComponent(termArray[i]);
	}

	// Return the result
	return result;
}

function GBLTut_LoadURL(URL)
{
	// Set the document's location to the incoming URL
	window._content.document.location = URL;
	
	// Make sure we get the focus
	window.content.focus();
}

function GBLTut_Populate()
{
	// Get the menu element that we will be working with
	var menu = document.getElementById("GBLTut-SearchTermsMenu");

	// Clean up whatever is currently in the menu
	for(var i=menu.childNodes.length - 1; i>=0; i--) {
		menu.removeChild(menu.childNodes.item(i));
	}

	// This string contains 5 "search terms", each separated by two pipes (||)
	var terms = "";

	// Create an array based on the terms in the string above
	var termArray = new Array();
	termArray = terms.split("||");

	// Load the search terms into our menu
	for(var i=0; i<termArray.length; i++)
	{
		// For each search term, create a menu item element
		var tempItem = null;
		tempItem = document.createElement("menuitem");

		// Set the menuitem element's various attributes:
		// The label will be the search term itself
		// The tooltip will be the text "Dynamic Item #", where # is the number of the item
		
		tempItem.setAttribute("label", termArray[i]);
		tempItem.setAttribute("tooltiptext", "Dynamic Item " + (i+1));

		// Add the item to our menu
		menu.appendChild(tempItem);
	}
}

function GBGT_getweather()
{
   
   var thismen = document.getElementById("GBLTut-MainMenu-W");
   var lnews = getNews();
   var termArray = new Array();
   var tempItem = null;
   termArray = lnews.split("||");
   for(var i=0; i<termArray.length; i++)
	{
	  alert(termArray[i]);
	  tempItem = document.createElement("menuitem");
	  tempItem.setAttribute("label", termArray[i]); 
	  thismen.appendChild(tempItem);
	}
    
   
 }
 
